QScintilla: QsciLexerCSS Class Reference

# QsciLexerCSS Class Reference

The QsciLexerCSS class encapsulates the Scintilla CSS lexer. More...

`#include <qscilexercss.h>`

Inherits QsciLexer.

List of all members.

## Public Types

- enum {
  Default = 0, Tag = 1, ClassSelector = 2,
  PseudoClass = 3, UnknownPseudoClass = 4, Operator = 5,
  CSS1Property = 6, UnknownProperty = 7, Value = 8,
  Comment = 9, IDSelector = 10, Important = 11,
  AtRule = 12, DoubleQuotedString = 13, SingleQuotedString = 14,
  CSS2Property = 15, Attribute = 16, CSS3Property = 17,
  PseudoElement = 18, ExtendedCSSProperty = 19, ExtendedPseudoClass = 20,
  ExtendedPseudoElement = 21
  }

## Public Slots

- virtual void setFoldComments (bool fold)
- virtual void setFoldCompact (bool fold)

## Public Member Functions

- QsciLexerCSS (QObject *parent=0)
- virtual ~QsciLexerCSS ()
- const char * language () const
- const char * lexer () const
- const char * blockEnd (int *style=0) const
- const char * blockStart (int *style=0) const
- const char * wordCharacters () const
- QColor defaultColor (int style) const
- QFont defaultFont (int style) const
- const char * keywords (int set) const
- QString description (int style) const
- void refreshProperties ()
- bool foldComments () const
- bool foldCompact () const

## Protected Member Functions

- bool readProperties (QSettings &qs, const QString &prefix)
- bool writeProperties (QSettings &qs, const QString &prefix) const

## Detailed Description

The QsciLexerCSS class encapsulates the Scintilla CSS lexer.

## Member Enumeration Documentation

anonymous enum

This enum defines the meanings of the different styles used by the CSS lexer.

Enumerator:

  Default | The default.
  Tag | A tag.
  ClassSelector | A class selector.
  PseudoClass | A pseudo class. The list of pseudo classes is defined by keyword set 2.
  UnknownPseudoClass | An unknown pseudo class.
  Operator | An operator.
  CSS1Property | A CSS1 property. The list of CSS1 properties is defined by keyword set 1.
  UnknownProperty | An unknown property.
  Value | A value.
  Comment | A comment.
  IDSelector | An ID selector.
  Important | An important value.
  AtRule | An @-rule.
  DoubleQuotedString | A double-quoted string.
  SingleQuotedString | A single-quoted string.
  CSS2Property | A CSS2 property. The list of CSS2 properties is defined by keyword set 3.
  Attribute | An attribute.
  CSS3Property | A CSS3 property. The list of CSS3 properties is defined by keyword set 4.
  PseudoElement | A pseudo element. The list of pseudo elements is defined by keyword set 5.
  ExtendedCSSProperty | An extended (browser specific) CSS property. The list of extended CSS properties is defined by keyword set 6.
  ExtendedPseudoClass | An extended (browser specific) pseudo class. The list of extended pseudo classes is defined by keyword set 7.
  ExtendedPseudoElement | An extended (browser specific) pseudo element. The list of extended pseudo elements is defined by keyword set 8.

## Constructor & Destructor Documentation

QsciLexerCSS::QsciLexerCSS | ( | QObject * | parent = `0` | ) |

Construct a QsciLexerCSS with parent parent. parent is typically the QsciScintilla instance.

virtual QsciLexerCSS::~QsciLexerCSS | ( |  | ) | `[virtual]`

Destroys the QsciLexerCSS instance.

## Member Function Documentation

const char* QsciLexerCSS::language | ( |  | ) | const`[virtual]`

Returns the name of the language.

Implements QsciLexer.

const char* QsciLexerCSS::lexer | ( |  | ) | const`[virtual]`

Returns the name of the lexer. Some lexers support a number of languages.

Implements QsciLexer.

QColor QsciLexerCSS::defaultColor | ( | int | style | ) | const`[virtual]`

Returns the foreground colour of the text for style number style.

Reimplemented from QsciLexer.

QFont QsciLexerCSS::defaultFont | ( | int | style | ) | const`[virtual]`

Returns the font for style number style.

Reimplemented from QsciLexer.

const char* QsciLexerCSS::keywords | ( | int | set | ) | const`[virtual]`

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QsciLexer.

QString QsciLexerCSS::description | ( | int | style | ) | const`[virtual]`

Returns the descriptive name for style number style. If the style is invalid for this language then an empty QString is returned. This is intended to be used in user preference dialogs.

Implements QsciLexer.

void QsciLexerCSS::refreshProperties | ( |  | ) | `[virtual]`

Causes all properties to be refreshed by emitting the propertyChanged() signal as required.

Reimplemented from QsciLexer.

bool QsciLexerCSS::foldComments | ( |  | ) | const

Returns true if multi-line comment blocks can be folded.

See also:
  setFoldComments()

bool QsciLexerCSS::foldCompact | ( |  | ) | const

Returns true if trailing blank lines are included in a fold block.

See also:
  setFoldCompact()

virtual void QsciLexerCSS::setFoldComments | ( | bool | fold | ) | `[virtual, slot]`

If fold is true then multi-line comment blocks can be folded. The default is false.

See also:
  foldComments()

virtual void QsciLexerCSS::setFoldCompact | ( | bool | fold | ) | `[virtual, slot]`

If fold is true then trailing blank lines are included in a fold block. The default is true.

See also:
  foldCompact()

bool QsciLexerCSS::readProperties | ( | QSettings & | qs,
|  | const QString & | prefix |
| ) |  |  | `[protected, virtual]`

The lexer's properties are read from the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

Reimplemented from QsciLexer.

bool QsciLexerCSS::writeProperties | ( | QSettings & | qs,
|  | const QString & | prefix |
| ) |  |  | const`[protected, virtual]`

The lexer's properties are written to the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

Reimplemented from QsciLexer.